OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::ConvolutionMessageQueue Class Reference

`#include <juce_Convolution.h>`

## Public Member Functions
| ConvolutionMessageQueue ()
| ConvolutionMessageQueue (int numEntries)
| ConvolutionMessageQueue (ConvolutionMessageQueue &&) noexcept
ConvolutionMessageQueue & | operator= (ConvolutionMessageQueue &&) noexcept
| ConvolutionMessageQueue (const ConvolutionMessageQueue &)=delete
ConvolutionMessageQueue & | operator= (const ConvolutionMessageQueue &)=delete

## Detailed Description

Used by the Convolution to dispatch engine-update messages on a background thread.

May be shared between multiple Convolution instances.

Definition at line 37 of file juce_Convolution.h.

## Constructor & Destructor Documentation

## ◆ ConvolutionMessageQueue() [1/2]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( |  | ) |

Initialises the queue to a default size.

If your Convolution is updated very frequently, or you are sharing this queue between multiple Convolutions, consider using the alternative constructor taking an explicit size argument.

Definition at line 128 of file juce_Convolution.cpp.

## ◆ ~ConvolutionMessageQueue()

juce::dsp::ConvolutionMessageQueue::~ConvolutionMessageQueue | ( |  | ) |
| noexcept

Definition at line 138 of file juce_Convolution.cpp.

## ◆ ConvolutionMessageQueue() [2/2]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | int | numEntries | ) |
| explicit

Initialises the queue with the specified number of entries.

In general, the number of required entries scales with the number of Convolutions sharing the same Queue, and the frequency of updates to those Convolutions.

Definition at line 132 of file juce_Convolution.cpp.

The documentation for this class was generated from the following files:

- juce_Convolution.h
- juce_Convolution.cpp